org.keycloak.authentication.requiredactions

## Class WebAuthnPasswordlessRegister

- java.lang.Object
- - org.keycloak.authentication.requiredactions.WebAuthnRegister
  - - org.keycloak.authentication.requiredactions.WebAuthnPasswordlessRegister

- All Implemented Interfaces:
    CredentialRegistrator, RequiredActionProvider, Provider

      public class WebAuthnPasswordlessRegister
      extends WebAuthnRegister

  Required action for register WebAuthn passwordless credential for the user. This class is temporary and will be likely removed in the future during future improvements in authentication SPI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthnPasswordlessRegister(KeycloakSession session, com.webauthn4j.validator.attestation.trustworthiness.certpath.CertPathTrustworthinessValidator certPathtrustValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getCredentialProviderId()`
    `protected String` | `getCredentialType()`
    `protected WebAuthnPolicy` | `getWebAuthnPolicy(RequiredActionContext context)`

    - ### Methods inherited from class org.keycloak.authentication.requiredactions.WebAuthnRegister

      `close, evaluateTriggers, initiatedActionSupport, processAction, requiredActionChallenge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.RequiredActionProvider

      `getMaxAuthAge, initiatedActionCanceled`

- - ### Constructor Detail

    - #### WebAuthnPasswordlessRegister

          public WebAuthnPasswordlessRegister(KeycloakSession session,
                                              com.webauthn4j.validator.attestation.trustworthiness.certpath.CertPathTrustworthinessValidator certPathtrustValidator)

  - ### Method Detail

    - #### getWebAuthnPolicy

          protected WebAuthnPolicy getWebAuthnPolicy(RequiredActionContext context)

      Overrides:
        `getWebAuthnPolicy` in class `WebAuthnRegister`

    - #### getCredentialType

          protected String getCredentialType()

      Overrides:
        `getCredentialType` in class `WebAuthnRegister`

    - #### getCredentialProviderId

          protected String getCredentialProviderId()

      Overrides:
        `getCredentialProviderId` in class `WebAuthnRegister`

Copyright © 2021 JBoss by Red Hat. All rights reserved.